streamWrapper::stream_write
streamWrapper::url_stat
streamWrapper
PHP Manual

# streamWrapper::unlink

(PHP 5)

streamWrapper::unlink — Delete a file

### Description

public bool streamWrapper::unlink ( string `$path` )

This method is called in response to unlink().

> Note: In order for the appropriate error message to be returned this method should not be defined if the wrapper does not support removing files.

### Parameters

`path`

  The file URL which should be deleted.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Emits `E_WARNING` if call to this method fails (i.e. not implemented).

### Notes

> Note: The streamWrapper->context property is updated if a valid context is passed to the caller function.

### See Also

- unlink() - Deletes a file
- streamWrapper::rmdir - Removes a directory

streamWrapper::stream_write
streamWrapper::url_stat
streamWrapper
PHP Manual